@charset "utf-8";

.p-contact {
  padding: 178px 0 144px;
  font-family: var(--font-sans-serif);
  font-weight: 400;
}

.p-contact__inner {
  max-width: 1064px;

  .p-contact__fields {
    display: flex;
    flex-direction: column;
    gap: 37px;
  }

  .row {
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 12px;
  }

  .col-md-4 {
    display: flex;
    align-items: center;
    gap: 10px;
    flex: 0 0 100%;
    max-width: 100%;
    padding: 0;
  }

  .label {
    margin: 0;
  }

  .d-inline-block {
    background: #5a5a5a;
    border-radius: 2px;
    padding: 0 4px;
    font-size: 12px;
    font-weight: 400;
    color: var(--color-white);
    line-height: 1.5;
  }

  .d-inline-block.requiredText {
    background: #d80e0e;
  }

  .col-md-8 {
    max-width: 100%;
    padding: 0;
    flex: 0 0 100%;
  }

  .input,
  .select,
  .textarea,
  .p-contact__privacy-inner {
    width: 100%;
    height: 50px;
    background: #f7f7f7;
    border: 1px solid #d3d3d3;
    border-radius: 3px;
    padding: 1em;
  }

  .input::placeholder,
  .textarea::placeholder {
    color: #555555;
  }

  .select {
    max-width: 210px;
    width: 100%;
    padding: 0 1em;
    appearance: none;
    background: url("https://aoi-sora.net/system_panel/uploads/images/select-arrow.svg")
      no-repeat center right 20px / 12px 8px;
  }

  .textarea {
    height: 197px;
  }

  .p-contact__privacy-inner {
    overflow-y: scroll;
    height: 155px;
    padding: 38px 30px;

    @media (width < 768px) {
      padding: 1em;
    }
  }

  .p-contact__privacy-inner > * + .p-contact__privacy-text {
    margin-top: 36px;
  }

  .p-contact__privacy-inner > * + .p-contact__privacy-heading {
    margin-top: 68px;
  }

  .p-contact__privacy-text {
    line-height: 2.2;

    a:hover {
      opacity: 0.7;
    }
  }

  .p-contact__privacy-heading {
    width: 100%;
    font-size: 18px;
    font-weight: 500;
    color: #464646;
    letter-spacing: 0.006em;
    padding-bottom: 15px;
    border-bottom: 1px solid #d0d0d0;
    display: inline-flex;
    gap: 40px;
    align-items: center;

    @media (width < 768px) {
      gap: 20px;
    }
  }

  .p-contact__privacy-heading::before {
    content: "";
    width: 19px;
    height: 13px;
    background: #272727;
    border-radius: 4px;
    flex-shrink: 0;
  }

  .p-contact__privacy-check {
    margin-top: 10px;
    display: flex;
    align-items: center;
    gap: 6px;

    input {
      cursor: pointer;
    }

    label {
      color: #454545;
      line-height: 1;
      letter-spacing: 0.02em;
    }
  }

  .p-contact__submit {
    margin: 28px auto 0;

    button {
      height: 46px;
      padding: 0 60px;
    }
  }
}

.p-contact__complete {
}

.p-contact__back-btn {
  margin: 40px auto 0;

  a::after {
    display: none;
  }
}
